curl --request GET \
--url https://api.synctera.com/v1/fees \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.synctera.com/v1/fees"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.synctera.com/v1/fees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"fees": [
{
"account_id": "12943c51-e4ff-4e57-9558-08cab6b96364",
"amount": 1000,
"template_id": "64943c51-e4ff-4e57-9558-08cab6b96352",
"creation_time": "2010-05-06T12:23:34.321Z",
"currency": "USD",
"description": "Premium Customer ATM Fee",
"id": "44943c51-e4ff-4e57-9558-08cab6b96321",
"internal_account_id": "42943c51-e4ff-4e57-9558-08cab6b963c8",
"last_updated_time": "2010-05-06T12:23:34.321Z",
"status": "cancelled",
"subtype": "ACCOUNT_FUNDING_AFT",
"tenant": "abcdef_ghijkl",
"metadata": {},
"note": "Reduced account fee based on phone call with customer",
"reference_id": "1234567890",
"derived_from_uuid": "1a943c51-e4ff-4e57-9558-08cab6b96300",
"fee_category": "ach:outgoing_debit",
"fee_config_id": "5c943c51-e4ff-4e57-9558-08cab6b96398",
"fee_product_id": "7d943c51-e4ff-4e57-9558-08cab6b96312",
"hold_id": "0246d1a3-2e6b-4309-b249-0f0b8aa755e6",
"original_hold_amount": 10000,
"parent_hold_id": "3b943c51-e4ff-4e57-9558-08cab6b96400",
"transaction_id": "11943c51-e4ff-4e57-9558-08cab6b96333"
}
],
"next_page_token": "a8937a0d"
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}List fees
Get paginated list of fees
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Return fees created before this time.
Return fees for the specified account.
"64438afd-fa20-4010-a573-2bbdca77cdb6,84ef251c-ab8f-47a5-bbfd-a16648f95157"
A short string representing the sub-type of the fee. This will be used as the subtype of the resulting transaction.
ACCOUNT_FUNDING_AFT, ACCOUNT_FUNDING_AFT_REVERSAL, ACH_INCOMING_TRANSFER, ACH_INCOMING_TRANSFER_REVERSAL, ACH_OUTGOING_TRANSFER, ACH_OUTGOING_TRANSFER_REVERSAL, APPLICATION, APPLICATION_REVERSAL, ATM_BALANCE_INQUIRY, ATM_BALANCE_INQUIRY_REVERSAL, ATM_WITHDRAWAL, ATM_WITHDRAWAL_REVERSAL, BALANCE_TRANSFER, BALANCE_TRANSFER_REVERSAL, BILL_PAY, BILL_PAY_REVERSAL, CARD_DELIVERY, CARD_DELIVERY_REVERSAL, CARD_REPLACEMENT, CARD_REPLACEMENT_REVERSAL, CASH_ADVANCE, CASH_ADVANCE_REVERSAL, CASH_DEPOSIT, CASH_DEPOSIT_REVERSAL, CHECK_ISSUANCE, CHECK_ISSUANCE_REVERSAL, CROSS_BORDER_TRANSACTION, CROSS_BORDER_TRANSACTION_REVERSAL, EFT_TRANSFER, EFT_TRANSFER_REVERSAL, FOREIGN_ATM, FOREIGN_ATM_REVERSAL, FOREIGN_TRANSACTION, FOREIGN_TRANSACTION_REVERSAL, INACTIVITY, INACTIVITY_REVERSAL, LATE_PAYMENT, LATE_PAYMENT_REVERSAL, MAINTENANCE, MAINTENANCE_REVERSAL, MISCELLANEOUS, MISCELLANEOUS_REVERSAL, ORIGINATION, ORIGINATION_REVERSAL, OVERDRAFT, OVERDRAFT_REVERSAL, OVER_THE_LIMIT, OVER_THE_LIMIT_REVERSAL, RETURNED_ITEM, RETURNED_ITEM_REVERSAL, RETURNED_PAYMENT, RETURNED_PAYMENT_REVERSAL, STOP_PAYMENT, STOP_PAYMENT_REVERSAL, SUBSCRIPTION, SUBSCRIPTION_REVERSAL, WIRE_TRANSFER, WIRE_TRANSFER_REVERSAL Return the fee with the specified id. Multiple IDs can be provided as a comma-separated list.
"64438afd-fa20-4010-a573-2bbdca77cdb6,84ef251c-ab8f-47a5-bbfd-a16648f95157"
Return fees that were derived from (triggered by) the specified transaction UUID. Useful for surfacing the fees associated with a given posted/pending transaction. Multiple IDs can be provided as a comma-separated list.
"54702cd9-789a-4a89-b2c6-ee168d26c540"
Optional pagination token to be provided to retrieve subsequent pages, returned from previous get
"a8937a0d"
Return fees created at or after this time.
Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.
x >= 1100
Return fees with the specified description. A * character can be used as a wildcard to match any characters.
Return fees resources with a fee template of the specified id. Multiple IDs can be provided as a comma-separated list.
"64438afd-fa20-4010-a573-2bbdca77cdb6,84ef251c-ab8f-47a5-bbfd-a16648f95157"
Was this page helpful?

